#ifndef XAUDIOSOUND_H
#define XAUDIOSOUND_H

#include "xasset.h"
#include "xaudiopacketaligned.h"
#include "xaudioseektable.h"

class XAudioSourceFormat;
class XAudioXmaDataInfo;

class XAudioSound : public XAsset
{
public:
    XAudioSound();
    ~XAudioSound();

    virtual void ParseData(QDataStream* aStream) override;
    virtual void Clear() override;

private:
    XAudioPacketAligned* mPacket;
    XAudioSourceFormat* mFormat;
    XAudioXmaDataInfo* mXmaDataInfo;
    XAudioSeekTable *mSeekTable;
};

#endif // XAUDIOSOUND_H
